<template>
  <div class="hello">
    <h1>This is Component2</h1>
    with {{inputData}} from App.vue
  </div>
  <Component3 :inputData="inputData"/>
</template>

<script>
import Component3 from '../components/Component3.vue'

export default {
  name: 'Component2',
  props: {
    msg: String,
    inputData: Object
  },
  components: {
    Component3:Component3,
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
